| EVShield v1.3 EVShield Library Reference by mindsensors.com

Public Member Functions | List of all members
EVs_EV3Gyro Class Reference

This class interfaces with LEGO EV3 Gyro sensor attached to EVShield. More...

`#include <EVs_EV3Gyro.h>`

Inheritance diagram for EVs_EV3Gyro:

## Public Member Functions
bool | init (EVShield *shield, SH_BankPort bp)
int | getAngle ()
int | getRefAngle ()
int | setRef ()
Public Member Functions inherited from EVShieldUART
| EVShieldUART ()
| EVShieldUART (EVShield *shield, SH_BankPort bp)
uint8_t | getMode ()
bool | setType (uint8_t type)
bool | writeLocation (uint8_t loc, uint8_t data)
int16_t | readLocationInt (uint8_t loc)
uint8_t | readLocationByte (uint8_t loc)
bool | init (EVShield *shield, SH_BankPort bp)
uint8_t | setMode (char newMode)
uint16_t | readValue ()
bool | readAndPrint (uint8_t loc, uint8_t len)

## Additional Inherited Members
Public Attributes inherited from EVShieldUART
EVShield * | mp_shield
SH_BankPort | m_bp
int | m_offset

## Detailed Description

This class interfaces with LEGO EV3 Gyro sensor attached to EVShield.

## Member Function Documentation

## § getAngle()

int EVs_EV3Gyro::getAngle | ( |  | ) |

get the angle of the Gyro sensor

## § getRefAngle()

int EVs_EV3Gyro::getRefAngle | ( |  | ) |

reset the angle to zero

## § setRef()

int EVs_EV3Gyro::setRef | ( |  | ) |

reset the angle to zero

The documentation for this class was generated from the following files:

- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_EV3Gyro.h
- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_EV3Gyro.cpp